# Class ObjectiveType

Object
CodeList<ObjectiveType>
ObjectiveType

All Implemented Interfaces:
  `Serializable, Comparable<ObjectiveType>`

@UML(identifier="MI_ObjectiveTypeCode", specification=ISO_19115_2) public final class ObjectiveType extends CodeList<ObjectiveType>
Temporal persistence of collection objective.

Since:
  2.3
See Also:
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class CodeList

  `CodeList​.Filter`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final ObjectiveType`
  `INSTANTANEOUS_COLLECTION`
  Single instance of collection.
  `static final ObjectiveType`
  `PERSISTENT_VIEW`
  Multiple instances of collection.
  `static final ObjectiveType`
  `SURVEY`
  Collection over specified domain.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ObjectiveType[]`
  `family()`
  Returns the list of enumerations of the same kind as this enum.
  `static ObjectiveType`
  `valueOf(String code)`
  Returns the objective type that matches the given string, or returns a new one if none match it.
  `static ObjectiveType[]`
  `values()`
  Returns the list of `ObjectiveType`s.

  ### Methods inherited from class CodeList

  `compareTo, identifier, name, names, ordinal, readResolve, toString, valueOf, valueOf`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### INSTANTANEOUS_COLLECTION

    @UML(identifier="instantaneousCollection", obligation=CONDITIONAL, specification=ISO_19115_2) public static final ObjectiveType INSTANTANEOUS_COLLECTION
    Single instance of collection.

  - ### PERSISTENT_VIEW

    @UML(identifier="persistentView", obligation=CONDITIONAL, specification=ISO_19115_2) public static final ObjectiveType PERSISTENT_VIEW
    Multiple instances of collection.

  - ### SURVEY

    @UML(identifier="survey", obligation=CONDITIONAL, specification=ISO_19115_2) public static final ObjectiveType SURVEY
    Collection over specified domain.

- ## Method Details

  - ### values

    public static ObjectiveType[] values()
    Returns the list of `ObjectiveType`s.
    Returns:
      The list of codes declared in the current JVM.

  - ### family

    public ObjectiveType[] family()
    Returns the list of enumerations of the same kind as this enum.
    Specified by:
      `family` in class `CodeList<ObjectiveType>`
    Returns:
      The codes of the same kind as this code.

  - ### valueOf

    public static ObjectiveType valueOf(String code)
    Returns the objective type that matches the given string, or returns a new one if none match it.
    Parameters:
      `code` - The name of the code to fetch or to create.
    Returns:
      A code matching the given name.